Page MenuHomePhabricator

Vagrant installation fails with "A dependency error was encountered while installing the extension MinervaNeue: Could not find the registration file for the extension MobileFrontend"
Closed, DuplicatePublic

Description

I get the following error message when trying to install MobileFrontend in Vagrant (f28b9a7d):

==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: A dependency error was encountered while installing the extension "MinervaNeue": Could not find the registration file for the extension "MobileFrontend"
==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: [77aa494556e4b9a04d720955] [no req]   Wikimedia\Services\ServiceDisabledException from line 423 of /vagrant/mediawiki/includes/libs/services/ServiceContainer.php: Service disabled: DBLoadBalancerFactory
==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: Backtrace:
==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: #0 /vagrant/mediawiki/includes/MediaWikiServices.php(588): Wikimedia\Services\ServiceContainer->getService(string)
==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: #1 /vagrant/mediawiki/maintenance/doMaintenance.php(123): MediaWiki\MediaWikiServices->getDBLoadBalancerFactory()
==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: #2 /vagrant/mediawiki/maintenance/install.php(195): require_once(string)
==> default: Notice: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: #3 {main}
==> default: Error: /usr/local/bin/multiversion-install /vagrant/mediawiki --wiki mobilewiki --dbname mobilewiki --dbpass wikipassword --dbuser wikiadmin --pass vagrant --scriptpath /w --server http://mobile.wiki.local.wmftest.net:8080 --confpath /vagrant/settings.d/wikis/mobilewiki  mobilewiki Admin
	==> default:  returned 255 instead of one of [0]
	==> default: Error: /Stage[main]/Role::Mobilefrontend/Mediawiki::Wiki[mobile]/Exec[mobilewiki_setup]/returns: change from notrun to 0 failed: /usr/local/bin/multiversion-install /vagrant/mediawiki --wiki mobilewiki --dbname mobilewiki --dbpass wikipassword --dbuser wikiadmin --pass vagrant --scriptpath /w --server http://mobile.wiki.local.wmftest.net:8080 --confpath /vagrant/settings.d/wikis/mobilewiki  mobilewiki Admin
	==> default:  returned 255 instead of one of [0]

Full log: P9328.

Event Timeline

brion added a subscriber: brion.Oct 21 2019, 5:38 PM

I have some more diagnostic info on T235934 for what appears to be the same problem (installing mobilefrontend). Workaround is to manually clone extensions/MobileFrontend and re-run vagrant provision.

DLynch added a subscriber: DLynch.Nov 4 2019, 5:50 PM

Not sure if related or need another ticket: related to the browsertests module (enabled when browser_tests is set to true when calling mediawiki::extension):

==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: [efd3e2b5793016a00e70c60e] [no req]   PasswordError from line 137 of /vagrant/mediawiki/maintenance/createAndPromote.php: The password entered is in a list of very commonly used passwords. Please choose a more unique password.
==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: Backtrace:
==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: #0 /vagrant/mediawiki/maintenance/doMaintenance.php(99): CreateAndPromote->execute()
==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: #1 /vagrant/mediawiki/maintenance/createAndPromote.php(162): require_once(string)
==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: #2 /var/www/w/MWScript.php(98): require_once(string)
==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: #3 {main}
==> default: Error: /usr/local/bin/mwscript createAndPromote.php                     --wiki='wiki' 'Selenium_user' 'vagrant' returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: change from notrun to 0 failed: /usr/local/bin/mwscript createAndPromote.php                     --wiki='wiki' 'Selenium_user' 'vagrant' returned 1 instead of one of [0]

Problem is that the browsertests puppet module wants to create a Selenium_user user with a vagrant password.

Tgr added a subscriber: Tgr.Feb 7 2020, 8:20 AM

Not sure if related or need another ticket: related to the browsertests module (enabled when browser_tests is set to true when calling mediawiki::extension):
(...)
Problem is that the browsertests puppet module wants to create a Selenium_user user with a vagrant password.

That's the same issue that was fixed in rMWVAa7bed71d3f20: LocalSettings: Admin account password override & cleanups but for User:Admin only. Let's just allow 'vagrant' as a password for everyone.
(T232354 is a different issue, although also caused by password policies.)

The error in the task description seems entirely unrelated (some sort of dependency problem).

Change 570827 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vagrant@master] Always allow 'vagrant' as a MediaWiki password

https://gerrit.wikimedia.org/r/570827

Change 570829 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vagrant@master] Add missing dependency between MinervaNeue and MobileFrontend

https://gerrit.wikimedia.org/r/570829

Change 570829 merged by jenkins-bot:
[mediawiki/vagrant@master] Add missing dependency between MinervaNeue and MobileFrontend

https://gerrit.wikimedia.org/r/570829

Change 570827 merged by jenkins-bot:
[mediawiki/vagrant@master] Always allow 'vagrant' as a MediaWiki password

https://gerrit.wikimedia.org/r/570827

Tgr renamed this task from Vagrant installation fails to Vagrant installation fails with "A dependency error was encountered while installing the extension MinervaNeue: Could not find the registration file for the extension MobileFrontend".Jun 29 2020, 11:05 AM
Tgr updated the task description. (Show Details)
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptJun 29 2020, 11:05 AM